__IF_EXISTS__
SELECT 1
  FROM CI_UT_INSTL_DTL
WHERE SCRIPT_FILE_NAME = 'FW43040_POSTDATA1.SQL'
   AND END_DTTM IS NOT NULL
/
__THEN__
 
__EXIT__
 
__ENDIF__
 
__IF_EXISTS__
SELECT 1
  FROM CI_INSTALL_PROD
WHERE INSTALL_OPT_ID = '11111'
   AND OWNER_FLG = 'F1'
/
__ELSE__
 
__EXIT__
 
__ENDIF__


UPDATE CI_FK_REF SET INFO_PRG = 'com.splwg.base.domain.common.foreignKeyReference.DescriptionRetriever' WHERE FK_REF_CD = 'F1DATAC' AND INFO_PRG = ' '
/
UPDATE CI_FK_REF SET INFO_PRG = 'com.splwg.base.domain.common.message.MessageInfoRetriever' WHERE FK_REF_CD = 'F1-MSG' AND INFO_PRG = 'com.splwg.base.domain.common.foreignKeyReference.DescriptionRetriever'
/
UPDATE CI_FK_REF SET ZONE_CD = 'F1-TDTYPESRC' WHERE FK_REF_CD = 'TD_TYPE' AND ZONE_CD = ' '
/